# Uses of Class
org.eclipse.mat.internal.acquire.HeapDumpProviderDescriptor

Packages that use HeapDumpProviderDescriptor
Package
Description
org.eclipse.mat.internal.acquire
Support for collecting arguments for acquiring heap dumps from running programs.
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).

## Uses of HeapDumpProviderDescriptor in org.eclipse.mat.internal.acquire

Methods in org.eclipse.mat.internal.acquire that return HeapDumpProviderDescriptor
Modifier and Type
Method
Description
`HeapDumpProviderDescriptor`
HeapDumpProviderRegistry.`getHeapDumpProvider(Class<? extends IHeapDumpProvider> providerClass)`
`HeapDumpProviderDescriptor`
HeapDumpProviderRegistry.`getHeapDumpProvider(String name)`
`HeapDumpProviderDescriptor`
ProviderArgumentsSet.`getProviderDescriptor()`
Methods in org.eclipse.mat.internal.acquire that return types with arguments of type HeapDumpProviderDescriptor
Modifier and Type
Method
Description
`Collection<HeapDumpProviderDescriptor>`
HeapDumpProviderRegistry.`getHeapDumpProviders()`
Constructors in org.eclipse.mat.internal.acquire with parameters of type HeapDumpProviderDescriptor
Modifier
Constructor
Description
``
`ProviderArgumentsSet(HeapDumpProviderDescriptor providerDescriptor)`

## Uses of HeapDumpProviderDescriptor in org.eclipse.mat.ui.internal.acquire

Constructor parameters in org.eclipse.mat.ui.internal.acquire with type arguments of type HeapDumpProviderDescriptor
Modifier
Constructor
Description
``
`AcquireDialog(Collection<HeapDumpProviderDescriptor> dumpProviders)`
``
`AcquireWizard(Collection<HeapDumpProviderDescriptor> dumpProviders)`